Redmine - Defect #1903

Switch order of current and previous revisions in side-by-side diff
2008-09-15 04:14 - Elliot Winkler

Status: Closed Start date:
Priority: Normal Due date:
Assignee: % Done:
Category: SCM Estimated time:
Target version: 0.8

Resolution: Fixed Affected version:
Description

Right now if you look at the side-by-side diff, the current revision is on the left, the previous revision is on the right. Usually when
side-by-side diffs are presented (such as in every diff software I've come across) it's the other way around. This is confusing to
newcomers to Redmine -- | just had an instance now where my friend I'm working on this project with thought that | had deleted
something, when I'd actually added it, and it took a second for us to realize that the order was misleading (I guess he didn't notice the

colors).

Attached is a patch that corrects this (or appears to, as well as | could read the lib/redmine/unified_diff.rb file).

Associated revisions

Revision 1895 - 2008-09-21 20:45 - Jean-Philippe Lang

Switch order of current and previous revisions in side-by-side diff (#1903).

Revision 1898 - 2008-09-22 20:33 - Nicolas Chuche

r18645@gaspard (orig r1887): jplang | 2008-09-20 16:07:52 +0200

Fixed: Roadmap crashes when a version has a due date > 2037.

r18646@gaspard (orig r1888): jplang | 2008-09-21 10:54:02 +0200

Fixed: invalid effective date (eg. 99999-01-01) causes an error on version edition screen.
r18647@gaspard (orig r1889): jplang | 2008-09-21 10:54:50 +0200

Fixes VersionTest class.

r18648@gaspard (orig r1890): jplang | 2008-09-21 14:07:44 +0200

Fixed: login filter providing incorrect back_url for Redmine installed in sub-directory (#1900).
r18649@gaspard (orig r1891): winterheart | 2008-09-21 14:31:34 +0200

de.yml from #1745, thank to Sven Schuchmann and Thomas L&ber for contribution
r18650@gaspard (orig r1892): winterheart | 2008-09-21 14:32:16 +0200

#1928, update for Italian language

r18651@gaspard (orig r1893): jplang | 2008-09-21 14:45:22 +0200

Unescape back_url param before calling redirect_to.

r18652@gaspard (orig r1894): jplang | 2008-09-21 15:28:12 +0200

Strip LDAP attribute names before saving (#1890).

r18653@gaspard (orig r1895): jplang | 2008-09-21 20:45:30 +0200

Switch order of current and previous revisions in side-by-side diff (#1903).
r18654@gaspard (orig r1896): jplang | 2008-09-21 22:38:36 +0200

Typo in migration 97 name (#1929).

r18655@gaspard (orig r1897): winterheart | 2008-09-22 16:49:18 +0200

#1921, pt translation

History

#1 - 2008-09-21 20:40 - Jean-Philippe Lang
- Category set to SCM

- Status changed from New to Closed

- Target version set to 0.8

- Resolution set to Fixed

Agreed and committed in r1895.

Files
switch_order_of_sbs_diff.diff 1.77 KB 2008-09-15 Elliot Winkler
2025-07-13 1/1



https://www.redmine.org/projects/redmine/repository/svn/revisions/1895
http://www.tcpdf.org

